
Application: gvSIG desktop - gvSIG bugs #4001
Pérdida de tramos en multilineas de base de datos Postgres al editar un vértice.
01/14/2016 09:44 AM - Francisco Díaz Carsí

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category:
Target version: 2.3.0-2414 (rev. org.gvsig.desktop-2.0.120)
Severity: Critical Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2313 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

El bug viene de la lista de usuarios:
https://listserv.gva.es/pipermail/gvsig_usuarios/2016-January/030559.html
Pasos para reproducirlo:
    1. Poner en edición capa de lineas de una base de datos
    2. Crear dos geometrías
    3. Salir de edición (observamos que se han creado los dos registros correctamente en la BD con geometría de tipo LINESTRING)
    4. Entrar en edición
    5. Unir las lineas
    6. Salir de edición (observamos que han desaparecido los dos registros creados anteriormente y se ha creado uno nuevo con
geometría de tipo MULTILINESTRING)
    7. Entrar en edición
    8. Editar un vértice moviéndolo, por ejemplo.
    9. Salir de edición

Ahora podemos observar que ha quedado en la BD una única geometría de tipo LINESTRING (de las que formaban la
MULTILINESTRING) desapareciendo la otra.

History
#1 - 01/15/2016 09:35 AM - Francisco Díaz Carsí
- Target version set to 2.3.0-2414 (rev. org.gvsig.desktop-2.0.120)
- Status changed from New to Fixed

Problemas aparte con los Dynform que habría que resolver, en el trunk actual (que se debe corresponder con el build 1414) parece que esto ya no
ocurre.

Alvaro, dejo la tarea como "FIXED" para que lo puedas comprobar cuando salga el build.

#2 - 01/20/2016 12:28 PM - Álvaro Anguix
- Status changed from Fixed to Closed
